<?xml version="1.0" encoding="UTF-8"?>
<!--
- Licensed Materials - Property of IBM* and/or HCL**
- UrbanCode Deploy
- (c) Copyright IBM Corporation 2002, 2017. All Rights Reserved.
- (c) Copyright HCL Technologies Ltd. 2018. All Rights Reserved.
-
- U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
- GSA ADP Schedule Contract with IBM Corp.
-
- * Trademark of International Business Machines
- ** Trademark of HCL Technologies Limited
-->
<plugin-upgrade
        xmlns="http://www.urbancode.com/UpgradeXMLSchema_v1"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <migrate to-version="3">
    <migrate-command name="Run SQLPlus script">
      <migrate-properties>
        <migrate-property name="sqlFiles" old="sqlFile"/>
      </migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="4">
    <migrate-command name="Run SQLPlus script" />
  </migrate>
  <migrate to-version="5">
    <migrate-command name="Run SQLPlus script" />
  </migrate>
  <migrate to-version="6">
    <migrate-command name="Run SQLPlus script" />
  </migrate>
  <migrate to-version="7">
    <migrate-command name="Run SQLPlus script" />
    <migrate-command name="SQLPlus through Control File" />
  </migrate>
  <migrate to-version="8">
    <migrate-command name="Run SQLPlus script">
      <migrate-properties>
        <migrate-property name="sqlPlusExecutable" default="${p?:resource/sqlplus.exe}"/>
        <migrate-property name="user" default=""/>
        <migrate-property name="password" default=""/>
        <migrate-property name="connectionID" default=""/>
        <migrate-property name="oracleHome" default="${p?:resource/oracle.home}"/>
        <migrate-property name="additionalEnvVars" default="${p?:resource/environment.vars}"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="SQLPlus through Control File">
      <migrate-properties>
        <migrate-property name="sqlPlusExecutable" default="${p?:resource/sqlplus.exe}"/>
        <migrate-property name="mode" default="deploy"/>
        <migrate-property name="controlFileIncludes" default="deploy"/>
        <migrate-property name="connectionIdUserToPassword" default=""/>
        <migrate-property name="oracleHome" default="${p?:resource/oracle.home}"/>
        <migrate-property name="additionalEnvVars" default="${p?:resource/environment.vars}"/>
      </migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="10">
  </migrate>
  <migrate to-version="11">
    <migrate-command name="Run SQLPlus script">
      <migrate-properties>
        <migrate-property name="failOnORA"/>
      </migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="12">
  </migrate>
  <migrate to-version="13">
  </migrate>
  <migrate to-version="14">
  </migrate>
  <migrate to-version="15">
    <migrate-command name="Run SQLPlus script">
      <migrate-properties>
        <migrate-property name="sqlFileArgs" default=""/>
      </migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="16">
  </migrate>
  <migrate to-version="17">
    <migrate-command name="Run SQLPlus script">
      <migrate-properties>
        <migrate-property name="passScript" default=""/>
      </migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="18">
  </migrate>
  <migrate to-version="19">
    <migrate-command name="Run SQLPlus script">
      <migrate-properties>
        <migrate-property name="skipSqlErrors" default="${p?:skipSqlErrors}"/>
      </migrate-properties>
    </migrate-command>
  </migrate>
</plugin-upgrade>
